#pragma once

#include <string>
#include <memory>

#include "Image.h"

class PngWriterImpl
{
public:
	virtual ~PngWriterImpl() = default;

	virtual void setPath(const std::string& path) = 0;

	virtual void write(const std::unique_ptr<Image<unsigned char> >& image) const = 0;
};
