#pragma once

#include "TriMesh.h"
#include "LineMesh.h"

class MeshPrimitives
{
public:

    static std::unique_ptr<TriMesh> buildRectangleAsTriMesh();

    static std::unique_ptr<LineMesh> buildRectangleAsLineMesh();

    static std::unique_ptr<TriMesh> buildExplodedGridAsTriMesh(unsigned numX, unsigned numY);

    static std::unique_ptr<LineMesh> buildExplodedGridAsLineMesh(unsigned numX, unsigned numY);
};
