#pragma once

#include "AbstractFace.h"

class Edge;

class TriFace : public AbstractFace
{
public:
    TriFace(Edge* edge0, Edge* edge1, Edge* edge2, unsigned id=0);

    ~TriFace();

    std::vector<unsigned> getNodeIds() const override;

    static std::unique_ptr<TriFace> Create(Edge* edge0, Edge* edge1, Edge* edge2, unsigned id=0);

private:

    Edge* mEdge0{nullptr};
    Edge* mEdge1{nullptr};
    Edge* mEdge2{nullptr};
};
